plotVST {lumi} | R Documentation

## plot the VST (Variance Stabilizing Transform) function

### Description

plot the VST (Variance Stabilizing Transform) function of VST transformed LumiBatch object or parameters of VST function.

### Usage

    plotVST(x, transFun = NULL, plotRange = NULL, addLegend = TRUE, ...)

### Arguments

`x` | a LumiBatch object after lumiT transform, or a matrix or data.frame with VST parameter
`transFun` | a character vector of transformation function (asinh or log2)
`plotRange` | the plot range of untransformed data
`addLegend` | add legend or not
`...` | other parameter used by `plot` function

### Value

invisibly return the untransformed and transformed values.

### Author(s)

Pan Du

### See Also

`vst`

### Examples

    ## load example data
    data(example.lumi)

    ## Do default VST variance stabilizing transform
    lumi.T <- lumiT(example.lumi, ifPlot=TRUE)

    ## plot the transform function
    plotVST(lumi.T)

[Package lumi version 1.10.2 Index]